# Uses of Class
org.apache.lucene.store.BufferedIndexInput

Packages that use BufferedIndexInput
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of BufferedIndexInput in org.apache.lucene.store

  Methods in org.apache.lucene.store that return BufferedIndexInput
  Modifier and Type
  Method
  Description
  `BufferedIndexInput`
  BufferedIndexInput.`clone()`
  `static BufferedIndexInput`
  BufferedIndexInput.`wrap(String sliceDescription, IndexInput other, long offset, long length)`
  Wraps a portion of another IndexInput with buffering.